MyFatoorah Payment gateway Integration

by
Odoo

93.47

v 15.0 Third Party 9
Live Preview
Required Apps Invoicing (account)
Lines of code 798
Technical Name payment_myfatoora
LicenseSee License tab
Websitehttp://www.technaureus.com/
Also available in version v 13.0 v 10.0 v 14.0 v 12.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Lines of code 798
Technical Name payment_myfatoora
LicenseSee License tab
Websitehttp://www.technaureus.com/
Also available in version v 13.0 v 10.0 v 14.0 v 12.0

MyFatoorah Payment Acquirer

This module integrates Odoo to MyFatoorah Payment Gateway

Adding Credentials

Enter the Token.

Add journal





MyFatoorah payment button in the website

Select MyFatoorah for payment.

Payment Method Selection.

Card Details.

Sale Order Confirmation

Payment Transaction

Release Notes
28 Dec 2021 15.0.0.1.2 [Bugfix] User error added for checking the configuration
21 Dec 2021 15.0.0.1.1 [Bugfix] Invoice Value Issue Fixed
20 Dec 2021 15.0.0.1.0 [New] Live Test URL added
16 Dec 2021 15.0.0.0.9 [New]Payment For Guest User(not logged in) added

Help and Support

For support, new features and customizations.

Odoo Proprietary License v1.0
This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).
You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).
It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.
The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
There are no ratings yet!
Please kindly don't spam this area
by
Jasad
on 12/30/21, 11:21 PM Author

This area is meant for general discussion. All the bugs you reported here is not from our module. If in case any bug found, please kindly communicate through appropriate channel.


by
Unipharma Company
on 12/30/21, 5:39 PM

hereunder you can find the traceback of the error message.

Thanks in advance

Re:
by
Jasad
on 12/30/21, 11:08 PM Author

Please kindly share all the details to our support team. You can reach them by support@technaureus.com


by
Unipharma Company
on 12/30/21, 5:38 PM
File "/home/odoo/src/odoo/odoo/http.py", line 352, in checked_call
    result.flatten()
  File "/home/odoo/src/odoo/odoo/http.py", line 1255, in flatten
    self.response.append(self.render())
  File "/home/odoo/src/odoo/odoo/http.py", line 1248, in render
    return env["ir.ui.view"]._render_template(self.template, self.qcontext)
  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_ui_view.py", line 1975, in _render_template
    return self.browse(self.get_view_id(template))._render(values, engine)
  File "/home/odoo/src/odoo/addons/website/models/ir_ui_view.py", line 433, in _render
    return super(View, self)._render(values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/home/odoo/src/odoo/addons/web_editor/models/ir_ui_view.py", line 29, in _render
    return super(IrUiView, self)._render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_ui_view.py", line 1983, in _render
    return self.env[engine]._render(self.id, qcontext)
  File "/home/odoo/src/enterprise/web_studio/models/ir_qweb.py", line 44, in _render
    return super(IrQWeb, self)._render(template, values=values, **options)
  File "/home/odoo/src/odoo/odoo/tools/profiler.py", line 289, in _tracked_method_render
    return method_render(self, template, values, **options)
  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_qweb.py", line 74, in _render
    result = super()._render(template, values=values, **compile_options)
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 134, in _render
    result = ''.join(rendering)
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 221, in render_template
    raise e
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "<template_2504>", line 271, in template_2504
  File "<template_2504>", line 203, in t_call_content
Re:
by
Jasad
on 12/30/21, 11:17 PM Author

This error is not from our module. Please kindly check the error log.


by
Unipharma Company
on 12/30/21, 5:37 PM Reviewed
File "/home/odoo/src/odoo/odoo/addons/base/models/ir_qweb.py", line 74, in _render
    result = super()._render(template, values=values, **compile_options)
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 134, in _render
    result = ''.join(rendering)
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 221, in render_template
    raise e
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "<template_2504>", line 271, in template_2504
  File "<template_2504>", line 203, in t_call_content
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 221, in render_template
    raise e
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 219, in render_template
    yield from compiled_fn(self, values, log)
  File "<template_725>", line 431, in template_725
  File "/home/odoo/src/odoo/odoo/addons/base/models/qweb.py", line 223, in render_template
    raise QWebException("Error when render the template", self, options,
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/home/odoo/src/odoo/odoo/http.py", line 811, in dispatch
    r = self._call_function(**self.params)
  File "/home/odoo/src/odoo/odoo/http.py", line 360, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
Re:
by
Jasad
on 12/30/21, 11:19 PM Author

This error is not from our module. Please kindly check the error log.


by
Unipharma Company
on 12/30/21, 5:36 PM
 File "/home/odoo/src/odoo/odoo/http.py", line 811, in dispatch
    r = self._call_function(**self.params)
  File "/home/odoo/src/odoo/odoo/http.py", line 360, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/home/odoo/src/odoo/odoo/http.py", line 352, in checked_call
    result.flatten()
  File "/home/odoo/src/odoo/odoo/http.py", line 1255, in flatten
    self.response.append(self.render())
  File "/home/odoo/src/odoo/odoo/http.py", line 1248, in render
    return env["ir.ui.view"]._render_template(self.template, self.qcontext)
  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_ui_view.py", line 1975, in _render_template
    return self.browse(self.get_view_id(template))._render(values, engine)
  File "/home/odoo/src/odoo/addons/website/models/ir_ui_view.py", line 433, in _render
    return super(View, self)._render(values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/home/odoo/src/odoo/addons/web_editor/models/ir_ui_view.py", line 29, in _render
    return super(IrUiView, self)._render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_ui_view.py", line 1983, in _render
    return self.env[engine]._render(self.id, qcontext)
  File "/home/odoo/src/enterprise/web_studio/models/ir_qweb.py", line 44, in _render
    return super(IrQWeb, self)._render(template, values=values, **options)
  File "/home/odoo/src/odoo/odoo/tools/profiler.py", line 289, in _tracked_method_render
    return method_render(self, template, values, **options)
Re:
by
Jasad
on 12/30/21, 11:19 PM Author

This error is not from our module. Please kindly check the error log.


500 server error !!
by
Unipharma Company
on 12/30/21, 5:11 PM Reviewed

this is the error that I'm receiving although i didn't change anything!!

Template fallback

An error occurred while rendering the template payment.icon_list.

If this error is caused by a change of yours in the templates, you have the possibility to reset the template to its factory settings.






Error message:

Error when render the template
ValueError: Invalid image content
Template: payment.icon_list
Path: /t/ul/t[3]/li/span
Node: <span t-esc="icon.image_payment_form" t-options="{'widget': 'image', 'alt-field': 'name'}" data-toggle="tooltip" t-att-title="icon.name"/>
                

The error occured while rendering the template payment.icon_list and evaluating the following expression: <span t-esc="icon.image_payment_form" t-options="{'widget': 'image', 'alt-field': 'name'}" data-toggle="tooltip" t-att-title="icon.name"/>

Re: 500 server error !!
by
Jasad
on 12/30/21, 11:20 PM Author

This error is not from our module. Please kindly check the error log.


500 server error !!
by
Unipharma Company
on 12/30/21, 4:18 PM

Hello,

I have downloaded this module and enabled it in order to be used, and i was testing it to check if it's working well so i sent a quotation to pay for it and when i tried to pay i was forwarded to a page with 500 server error message on the top of it. 

Extra information :

we are hosting our database on odoo.sh

So, what should we do to solve this problem. 

Re: 500 server error !!
by
Jasad
on 12/30/21, 11:16 PM Author

Please don't upload zip file to GitHub repository. Please unzip and upload to GitHub.


How to configure this module?
by
Unipharma Company
on 12/26/21, 10:35 AM

Hello,

I have downloaded this module by following this video as I'm using odoo.sh

https://youtu.be/p4KE10FbYk0

so I uploaded the zip file of the module on github and it appeared in the apps as installed, but I'm facing a problem in activating it as a payment acquirer since it does not appear in the payment acquirer and I cannot reach it. 

Re: How to configure this module?
by
Jasad
on 12/26/21, 11:39 PM Author

Please kindly write to our support: support@technaureus.com


how to install this module?
by
Sara Qassab
on 12/20/21, 5:03 AM

Hello, 

we need your assist as we bought that module and downloaded the Zip file but we don't know how to install it into our odoo database, as we don't know the steps of the installation and how it must be done.

Re: how to install this module?
by
Jasad
on 12/20/21, 5:30 AM Author

Here is the steps to do in ubuntu:

https://www.youtube.com/watch?v=Elg9ImnYqUU&t=239s